<form [formGroup]="generalForm" novalidate>
  <div class="panel">
    <div class="panel-title" [ngClass]="primaryColorBrand">
      <span><mat-icon class="white-fg">subtitles</mat-icon></span>
      <span class="white-fg">&nbsp;Documentos</span>
    </div>
    <div class="panel-content">

    
      <div [hidden]="isPerson" fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
        
          <mat-form-field fxFlex="50">
              <input matInput placeholder="CNPJ" formControlName="registrationNumber" [textMask]="{mask: cnpjMask}" [required]="!isPerson ? true : false">
              <mat-error *ngIf="generalForm.get('registrationNumber').hasError('required')">
                Por favor, informe o CNPJ
              </mat-error>
              <mat-error *ngIf="generalForm.get('registrationNumber').hasError('invalidCNPJ')">
                Por favor, informe um CNPJ válido
              </mat-error>
            </mat-form-field>
          
            <mat-form-field fxFlex="50">
              <input matInput placeholder="Inscrição Estadual, Digite O para Isento" type="number" formControlName="stateRegistration" [required]="false" >
            </mat-form-field>
  
        </div>

        <div [hidden]="!isPerson" fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">

          <mat-form-field fxFlex="100">
            <input matInput placeholder="CPF" formControlName="registrationNumber" [textMask]="{mask: cpfMask}" [required]="!isPerson ? false : true">
            <mat-error *ngIf="generalForm.get('registrationNumber').hasError('required')">
              Por favor, informe o CPF
            </mat-error>
            <mat-error *ngIf="generalForm.get('registrationNumber').hasError('invalidCPF')">
              Por favor, informe um CPF válido
            </mat-error>
          </mat-form-field>
          
      </div>

      <div [hidden]="!isPerson" fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
        
        <mat-form-field fxFlex="60">
          <input matInput placeholder="RG" formControlName="nationalIdentity" [required]="isRequired" >
        </mat-form-field>
       
        <mat-form-field fxFlex="20">
          <input matInput placeholder="Orgão Expeditor" formControlName="nationalIdentityExpeditionAgency" [required]="isRequired">
        </mat-form-field>

        <mat-form-field fxFlex="20">
            <input matInput placeholder="Data de Expedição" formControlName="nationalIdentityExpeditionDate" [textMask]="{mask: dateMask}" [required]="isRequired">
          </mat-form-field>

      </div>
      
      <div [hidden]="!isPerson" fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
        <mat-form-field fxFlex="60">
          <input  matInput placeholder="CNH" formControlName="driverLicense" [textMask]="{mask: cnhMask}" [required]="isRequired">
        </mat-form-field>

        <mat-form-field fxFlex="40">
          <mat-select placeholder="Categoria CNH" formControlName="driverLicenseCategory" [required]="isRequired">
            <mat-option *ngFor="let dr of driverLicenseCategoryList" [value]="dr.key">
              {{ dr.value }}
            </mat-option>
          </mat-select>
        </mat-form-field>
      </div>
      
    </div>
  </div>
</form>

   





